Bug 176816 - www/privoxy+ipv6 is obsolete
Summary: www/privoxy+ipv6 is obsolete
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 16:20 UTC by Fabian Keil
Modified: 2014-03-05 13:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-03-10 16:20:00 UTC
www/privoxy+ipv6 is obsolete as the "official" www/privoxy supports IPv6 since several years now.

According to the distfile, www/privoxy+ipv6 is based on a patched Privoxy CVS checkout from 2003. AFAIK none of the bug fixes have been back ported and using www/privoxy+ipv6 instead of the vanilla version has no advantage.

It is also not longer recommended at:
http://www.deepspace6.net/sections/sources.html

Fix: 

Deprecate www/privoxy+ipv6 or remove it right away.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-10 16:20:07 UTC
Maintainer of www/privoxy+ipv6,

Please note that PR ports/176816 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176816

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-10 16:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philippe Audeoud freebsd_committer 2013-11-25 14:12:28 UTC
Ping?
Comment 4 dfilter service freebsd_committer 2014-03-05 13:44:07 UTC
Author: jadawin
Date: Wed Mar  5 13:44:00 2014
New Revision: 347111
URL: http://svnweb.freebsd.org/changeset/ports/347111
QAT: https://qat.redports.org/buildarchive/r347111/

Log:
  - Mark as deprecated because www/privoxy natively supports ipv6
  
  PR:		ports/176816
  Submitted by:	Fabian Keil <fk@fabiankeil.de>
  Approved by:	maintainer timed out

Modified:
  head/www/privoxy+ipv6/Makefile

Modified: head/www/privoxy+ipv6/Makefile
==============================================================================
--- head/www/privoxy+ipv6/Makefile	Wed Mar  5 13:21:16 2014	(r347110)
+++ head/www/privoxy+ipv6/Makefile	Wed Mar  5 13:44:00 2014	(r347111)
@@ -11,6 +11,9 @@ DISTNAME=	privoxy_CVS_${PORTVERSION}_ipv
 MAINTAINER=	lars.eggert@gmx.net
 COMMENT=	Privoxy is a web proxy with advanced filtering capabilities
 
+DEPRECATED=	www/privoxy natively supports ipv6
+EXPIRATION_DATE=	2014-04-05
+
 WRKSRC=		${WRKDIR}/privoxy
 
 ETCDIR=		${PREFIX}/etc/privoxy
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Philippe Audeoud freebsd_committer 2014-03-05 13:44:32 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!